Java aches are back with LO7

classic Classic list List threaded Threaded
3 messages Options
marcgrober marcgrober
Reply | Threaded
Open this post in threaded view
|

Java aches are back with LO7

Have had a working and regularly upgraded LO6.x for quite a while now
using Oracle Java 12 and now 14.0.1 (MacOS Catalina)

Today I tried to move to LO7.0.0 and  BOINNNGGGGGG....   I have received
the dreaded message...

This says that my installed java is DEFECTIVE and I should install a
working version.

Of course, my java installation is working JUST FINE and has been
functional with OpenOffice and Zotero.

So, there is obviously something that was tweaked in LO7 that does not
like Oracle java 14.0.1.

What might that be, and where might one find the issue documented?

--
"There are more things in heaven and earth, Horatio,
Than are dreamt of in your philosophy. "



--
To unsubscribe e-mail to: [hidden email]
Problems? https://www.libreoffice.org/get-help/mailing-lists/how-to-unsubscribe/
Posting guidelines + more: https://wiki.documentfoundation.org/Netiquette
List archive: https://listarchives.libreoffice.org/global/users/
Privacy Policy: https://www.documentfoundation.org/privacy
Luuk Luuk
Reply | Threaded
Open this post in threaded view
|

Re: Java aches are back with LO7


On 8-8-2020 04:04, Marc Grober wrote:

> Have had a working and regularly upgraded LO6.x for quite a while now
> using Oracle Java 12 and now 14.0.1 (MacOS Catalina)
>
> Today I tried to move to LO7.0.0 and  BOINNNGGGGGG....   I have received
> the dreaded message...
>
> This says that my installed java is DEFECTIVE and I should install a
> working version.
>
> Of course, my java installation is working JUST FINE and has been
> functional with OpenOffice and Zotero.
>
> So, there is obviously something that was tweaked in LO7 that does not
> like Oracle java 14.0.1.
>
> What might that be, and where might one find the issue documented?

The docs do not say anything about LO7 ,

and also do not say anything about a version after JAVA 8

https://wiki.documentfoundation.org/Faq/General/InstallJava#Using_macOS


      Java version support

  * For LibreOffice prior to v.6.3, minimal supported Java version is 5
    (clarification needed about older support history).
  * For LibreOffice v.6.3, minimal supported Java version is 6
  * For LibreOffice v.6.4, minimal supported Java version is 8




--
To unsubscribe e-mail to: [hidden email]
Problems? https://www.libreoffice.org/get-help/mailing-lists/how-to-unsubscribe/
Posting guidelines + more: https://wiki.documentfoundation.org/Netiquette
List archive: https://listarchives.libreoffice.org/global/users/
Privacy Policy: https://www.documentfoundation.org/privacy
Windows10 / LibreOffice  (latest?)
V Stuart Foote V Stuart Foote
Reply | Threaded
Open this post in threaded view
|

Re: Java aches are back with LO7

Luuk wrote
> On 8-8-2020 04:04, Marc Grober wrote:
>> Have had a working and regularly upgraded LO6.x for quite a while now
>> using Oracle Java 12 and now 14.0.1 (MacOS Catalina)

Two open issues:
tdf#135479 -- LO Complains about missing JDK when accessing any Java
functionality, despite recognizing JDK on macOS under Preferences
<https://bugs.documentfoundation.org/show_bug.cgi?id=135479>   tdf#135462 --
LibreOffice 7.0.0.3 does not recognise JRE installation location at startup
other than those in /Library/Java/JavaVirtualMachines
<https://bugs.documentfoundation.org/show_bug.cgi?id=135462>  

If  system is on default macOS Java path, then likely is the first...



--
Sent from: http://document-foundation-mail-archive.969070.n3.nabble.com/Users-f1639498.html

--
To unsubscribe e-mail to: [hidden email]
Problems? https://www.libreoffice.org/get-help/mailing-lists/how-to-unsubscribe/
Posting guidelines + more: https://wiki.documentfoundation.org/Netiquette
List archive: https://listarchives.libreoffice.org/global/users/
Privacy Policy: https://www.documentfoundation.org/privacy